
local addonName, addonData = ...

-- Convert rgb values into their hex equivalent
addonData.RGB_TO_HEX = function(self,rgb,default) 
	rgb = rgb or default
	return string.format("%02x%02x%02x", rgb.r * 255, rgb.g * 255, rgb.b * 255) 
end

-- Generate the Class Keys
addonData.GenerateClassNameList = function(self)
	self.ClassNames = self.ClassNames or {}
	wipe(self.ClassNames)

	for k, v in pairs(LOCALIZED_CLASS_NAMES_MALE) do
	        self.ClassNames[v] = k
	end
	for k, v in pairs(LOCALIZED_CLASS_NAMES_FEMALE) do
	        self.ClassNames[v] = k
	end
end
